Bug 1074171 (CVE-2017-17935)

Summary: VUL-0: CVE-2017-17935: wireshark: File_read_line function bad '\n' handling could lead to denial of service
Product: [Novell Products] SUSE Security Incidents Reporter: Victor Pereira <vpereira>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: lszhu, smash_bz
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/197358/
Whiteboard: CVSSv3:RedHat:CVE-2017-17935:4.3:(AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L) CVSSv2:NVD:CVE-2017-17935:5.0:(AV:N/AC:L/Au:N/C:N/I:N/A:P)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Victor Pereira 2017-12-28 09:46:24 UTC
CVE-2017-17935

The File_read_line function in epan/wslua/wslua_file.c in Wireshark through
2.2.11 does not properly strip '\n' characters, which allows remote attackers to
cause a denial of service (buffer underflow and application crash) via a crafted
packet that triggers the attempted processing of an empty line.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-17935
https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=137ab7d5681486c6d6cc8faac4300b7cd4ec0cf1
https://code.wireshark.org/review/#/c/24997/
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=14295
Comment 1 Swamp Workflow Management 2018-01-12 20:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1074171) was mentioned in
https://build.opensuse.org/request/show/563930 42.2+42.3 / wireshark
Comment 2 Swamp Workflow Management 2018-01-15 14:12:28 UTC
openSUSE-SU-2018:0090-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1074171,1075737,1075738,1075739,1075748
CVE References: CVE-2017-17997,CVE-2018-5334,CVE-2018-5335,CVE-2018-5336
Sources used:
openSUSE Leap 42.3 (src):    wireshark-2.2.12-32.1
openSUSE Leap 42.2 (src):    wireshark-2.2.12-14.24.1
Comment 3 Lingshan Zhu 2018-01-19 02:40:21 UTC
This bug is not mentioned in the release notes, but actually it is fixed, commid it 42ea057f07c2444051c49256601c496a7395f48d
Comment 4 Lingshan Zhu 2018-01-19 06:20:52 UTC
For SLE11:
https://build.suse.de/request/show/151951
For SLE12:
https://build.suse.de/request/show/151950
Comment 5 Swamp Workflow Management 2018-01-23 14:08:09 UTC
SUSE-SU-2018:0179-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1074171,1075737,1075738,1075739,1075748
CVE References: CVE-2017-17935,CVE-2018-5334,CVE-2018-5335,CVE-2018-5336
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    wireshark-2.2.12-40.17.1
SUSE Linux Enterprise Server 11-SP4 (src):    wireshark-2.2.12-40.17.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    wireshark-2.2.12-40.17.1
Comment 6 Swamp Workflow Management 2018-01-24 14:07:33 UTC
SUSE-SU-2018:0191-1: An update that solves four vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1074171,1075737,1075738,1075739,1075748
CVE References: CVE-2017-17935,CVE-2018-5334,CVE-2018-5335,CVE-2018-5336
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    wireshark-2.2.12-48.18.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    wireshark-2.2.12-48.18.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    wireshark-2.2.12-48.18.1
SUSE Linux Enterprise Server 12-SP3 (src):    wireshark-2.2.12-48.18.1
SUSE Linux Enterprise Server 12-SP2 (src):    wireshark-2.2.12-48.18.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    wireshark-2.2.12-48.18.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    wireshark-2.2.12-48.18.1
Comment 7 Marcus Meissner 2018-02-21 06:26:03 UTC
released